Skip to main content
POST
Close a mesa period

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
integer
required

Mesa ID

periodId
integer
required

Period ID

Body

application/json
count_quote
number | null

Physical quote count (arqueo)

Required range: x >= 0
count_local
number | null

Physical local count (arqueo)

Required range: x >= 0
closed_at
string<date-time>

Optional close instant. Defaults to 23:00 ART of the opened ART day if omitted. Must be >= opened_at and must not overlap another period.

Response

Closed period

mesa
object

FX trading desk. created_by is null for x-api-key creates. account_ids are internal (Client.type=0) accounts unique to one mesa.

Example:
period
object

Trading session. opened_by / closed_by are null for x-api-key callers.

Example: